from kmip.services.server import server
import os

defaultServerFolder = "/etc/pykmip"
defaultServerConfig = "/etc/pykmip/server.conf"
serverDB = '/tmp/pykmip.db'

if not os.path.exists(defaultServerFolder):
    os.makedirs(defaultServerFolder)

#if not os.path.exists(defaultServerConfig):
file = open(defaultServerConfig, 'w+')
file.write("""
[server]
hostname=0.0.0.0
port=5696
certificate_path=/home/ubuntu/keys/server_certificate.pem
key_path=/home/ubuntu/keys/server_key.pem
ca_path=/home/ubuntu/keys/root_certificate.pem
auth_suite=Basic
policy_path=/etc/pykmip/
enable_tls_client_auth=True
tls_cipher_suites=
    TLS_RSA_WITH_AES_128_CBC_SHA256
    TLS_RSA_WITH_AES_256_CBC_SHA256
    TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384
logging_level=DEBUG
database_path=/tmp/pykmip.db
""")
file.close()

if not os.path.exists(serverDB):
    file = open(serverDB, 'w+')
    file.close()

if __name__ == '__main__':
    print("Server starting . . .")
    server.main()
